Bug 444744 - Review Request: perl-Lingua-Preferred - Pick a language based on user's preferences
Review Request: perl-Lingua-Preferred - Pick a language based on user's prefe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 09:44 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-07-02 18:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 18:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-04-30 09:44:22 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Lingua-Preferred.spec
SRPM URL: http://kwizart.fedorapeople.org/SRPMS/perl-Lingua-Preferred-0.2.4-1.fc9.kwizart.src.rpm
Description: Perl extension to choose a language
Comment 1 Ralf Corsepius 2008-05-01 02:30:00 EDT
From your spec:

%files
%defattr(-,root,root,-)
%doc Changes
%dir %{perl_vendorlib}/Lingua/
%{perl_vendorlib}/Lingua/Preferred.pm
%{perl_vendorlib}/auto/Lingua/
%dir %{perl_vendorlib}/auto/Lingua
%{perl_vendorlib}/auto/Lingua/Preferred/autosplit.ix
%{_mandir}/man3/*.3*

Why are you doing this so complicated, where
%{perl_vendorlib}/Lingua
%{perl_vendorlib}/auto/Lingua
%{_mandir}/man3/*.3*
would suffice?

The way you are doing it is error prone (check %{perl_vendorlib}/auto/Lingua in
your spec, it's broken)
Comment 2 Nicolas Chauvet (kwizart) 2008-05-01 05:00:25 EDT
yep I have a file listed twice.

Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Lingua-Preferred.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Lingua-Preferred-0.2.4-2.fc8.kwizart.src.rpm
Description: Perl extension to choose a language

Comment 3 Patrice Dumas 2008-05-18 06:53:28 EDT
README file is missing in %doc
Comment 4 Nicolas Chauvet (kwizart) 2008-05-18 07:04:03 EDT
Well OK - Can I add it before import - Or anyone see another problem ?
Comment 5 Ralf Corsepius 2008-05-18 13:24:56 EDT
I am experiencing a strange issue with this package's URL in CPAN:
http://search.cpan.org/dist/Lingua-Preferred/
returns
"The distribution 'Lingua-Preferred' cannot be found, did you mean one of these"
list of 236 other module follows ...

Going to
http://search.cpan.org/~edavis/
and clicking on "Lingua::Preferred" returns
"No matches"

So ... there is something weird going on with this package's records in CPAN.
Comment 6 Nicolas Chauvet (kwizart) 2008-05-27 09:01:11 EDT
I have emailed CPAN with the hope that this module can be correctly referenced.

At time time, this package is recommended (but optional) by xmltv.
(not acceptable in fedora since it can collect data from websites and thus
conflict with the EULA of them).
Comment 7 Jason Tibbitts 2008-06-18 19:53:37 EDT
It doesn't look like the CPAN issues are fixed, but I don't think that should
prevent approval of this package.  It can still be downloaded so the only thing
missing is the URL; I'd say just comment it out and add an explanatory comment
to the spec.  This will elicit a "no-url-tag" complaint from rpmlint but I don't
see a better alternative; having an incorrect URL tag seems worse.

The Summary: is a bit content-free.  CPAN seems to use "Pick a language based on
user's preferences" which seems better to me.

Honestly both of these are trivial fixes; you can make them when you check in.

* source files match upstream:
  fa58c4fac6b676f78caad6b472a785dd0c8fa67004a62294fbcfa3a3eb243c83  
   Lingua-Preferred-0.2.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary is kind of lame.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Lingua::Preferred) = 0.2.4
   perl-Lingua-Preferred = 0.2.4-2.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(AutoLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 8 Nicolas Chauvet (kwizart) 2008-06-19 06:52:09 EDT
Thx for the review, I will update the Summary, but i didn't get what to  with
the URL. If I stay as it is, maybe it can get fixed later. But if I comment the
URL, this suggest the problem in is the spec (missing URL field) whereas the
problem seems releated to CPAN...
This is my point of view. But I will follow advices.

I have email cpan admin, but without answer yet. I will resent a mail to the
owner of the module.
Comment 9 Nicolas Chauvet (kwizart) 2008-06-19 06:54:16 EDT
New Package CVS Request
=======================
Package Name: perl-Lingua-Preferred
Short Description: Pick a language based on user's preferences
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-06-19 10:47:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.